
@font-face {
    font-family: "Felidae";
    src: url("fonts/Felidae.ttf") format("truetype");
}
@font-face {
    font-family: "Betmo";
    src: url("fonts/Betmo Regular Cyr.otf") format("truetype");
}
@font-face {
    font-family: "Vetrino";
    src: url("fonts/Vetrino.otf") format("truetype");
}
@font-face {
    font-family: "Rubik";
    src: url("fonts/RubikVinyl-Regular.ttf") format("truetype");
}
@font-face {
    font-family: "Caravan";
    src: url("fonts/Caravan.otf");
}
@font-face {
    font-family: "DolomanPavljenko";
    src: url("fonts/DolomanPavljenko.otf");
}

@font-face {
    font-family: "Aurora";
    src: url("fonts/aurorascript.ttf");
}
@font-face {
    font-family: "Peach Cream";
    src: url("fonts/Peach Cream.otf");
}
@font-face {
    font-family: "Novelist";
    src: url("fonts/Novelist_free.otf");
}
@font-face {
    font-family: "Vintage";
    src: url("fonts/VintageHeirloom-Regular.otf");
}
@font-face {
    font-family: "Baby";
    src: url("fonts/Babylonica-Regular.ttf");
}

* {
    margin: 0;
    padding: 0;
    font-family: "Poiret One", sans-serif;
    user-select: none;

}

.watermark {
    content: "ya-invite";
    position: fixed;
    font-size: 80px;
    color: rgba(0, 0, 0, 0.08);
    transform: rotate(-25deg);
    pointer-events: none;
    z-index: 55555;
    white-space: nowrap;
    font-weight: 600; /* выглядит аккуратнее */
}



body::after {
    content: "ya-invite";
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0,0,0,0.08);
    pointer-events:none;
    z-index:55555555;
    white-space:nowrap;
}

html::after {
    content: "ya-invite";
    position: fixed;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0,0,0,0.08);
    pointer-events:none;
    z-index:555555;
    white-space:nowrap;
}
html{
    overflow-x: hidden;
}
body {
    background-image: url("./images/back.jpg");
    background-size: cover;       /* Заполняет весь экран */
    background-repeat: no-repeat; /* Без повторов */
    background-position: center;  /* Центрирует картинку */
    background-attachment: fixed; /* (опционально) фиксирует фон при скролле */
    position: relative;

}


.container {
    max-width: 1100px;
    margin: 0 auto;
}
.hidden {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}
.hidden-left {
    opacity: 0;
    transform: translateX(-50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}
.hidden-center {
    opacity: 0;
    transform: scale(0.8);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}


.hidden-right {
    opacity: 0;
    transform: translateX(50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}
.show {
    opacity: 1;
    transform: translateY(0);
}

#preloader {
    position: fixed;
    width: 100%;
    height: 100%;
    background-image: url("./images/back.jpg");
    display: flex;
    background-size: cover;
    background-position: center;
    align-items: center;
    justify-content: space-evenly;
    color: black;
    font-size: 24px;
    flex-direction: column;
    opacity: 1;
    transition: opacity 1s ease;
    text-align: center;

}


#preloader::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-image: url("./images/back.jpg");
    background-size: cover;
    background-position: center;
    filter: blur(8px); /* Сила блюра */
    /*transform: scale(1.1); !* Чтобы не было краев блюра *!*/
    z-index: -1; /* Картинка за текстом */
}
#preloader p {
    font-family: "Vetrino", sans-serif;
}

#content {
    display: none;
    opacity: 0;
    transition: opacity 1s ease;
}
#swipe-area {
    position: relative;
    margin-top: 20px;
    cursor: pointer;
    width: 400px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#circle {
    cursor: pointer;
    position: absolute;
    left: 0;
    top: 32px;
    transition: left 0.1s ease;
    z-index: 555;
}
#circle svg{
    width: 40px;
    height: 40px;
}
#end-circle {
    width: 60px;
    height: 60px;
    border: 1px solid black; /* Затемненный круг */
    border-radius: 50%;
    position: absolute;
    right: 0;
    background-color: white;
    transition: opacity 0.5s ease-in-out;
    z-index: 2;
}
#arrow {
    position: absolute;
    left: 50px;
    font-size: 30px;
    color: black;
    z-index: 1;
    user-select: none;
}

.preloader-wed-day {
    font-weight: bold;
    font-size: 50px;
    font-family: "Cormorant Infant", sans-serif;
}
.preloader-name {
    font-size: 35px;
    margin-bottom: 30px;

}
#preloader .preloader-name-one {
    font-family: "Vintage", sans-serif;
    color: black;
    font-size: 60px;
    /*line-height: 0.6;*/
    letter-spacing: 10px;

}
#preloader .preloader-name-two {
    font-family: "Vetrino", sans-serif;
    font-weight: bold;
    font-size: 60px;
    color: #722f37;
    line-height: 0.1;
}
.invite-preloader {
    font-size: 35px;
}
.btn {
    font-size: 20px;
    margin-top: 30px;
}


.music-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 50px;
    gap: 30px;
    margin-bottom: 30px;
}

.music-button {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    order: 2;
}


.music-btn {
    width: 50px;
    height: 50px;
    background: transparent !important;
    border: 1px solid black;
    border-radius: 50%;
    color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    cursor: pointer;
    position: relative;
    z-index: 2;
    order: 2;
}



.music-text {
    font-size: 30px;
    text-align: left;
    color: black;
    order: 1;
}
@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 0.8;
    }
    100% {
        transform: scale(1.5);
        opacity: 0;
    }
}
#music-toggle {
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 50%;
    padding: 10px 10px 12px 12px;
    font-size: 20px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    box-sizing: border-box;
    border: 1px solid gray;
    transition: background-color 0.3s;
}
#music-toggle:hover {
    background-color: rgba(255, 255, 255, 0.5);
}
@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.8);
        filter: blur(10px);
    }
    to {
        opacity: 1;
        transform: scale(1);
        filter: blur(0);
    }
}

#open-invite-button {
    padding: 10px 15px 15px 15px;
    font-size: 30px;
    background-color: transparent;
    color: black;
    border: 1px solid black;
}
.invite {
    /*background-color: rgba(255, 255, 255, 0.4); !* 0.3 — прозрачность, меняй для силы осветления *!*/
    max-width: 640px;
    background-image: url("./images/main-photo.JPG");
    background-size: cover;
    margin: 0px auto;
    background-repeat: no-repeat;
    position: relative;
    background-position: center;
}
.invite::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50%; /* регулируйте, сколько градиента вам нужно */
    background: linear-gradient(to top, white, transparent);
    z-index: 1; /* чтобы градиент был поверх изображения */
}


.invite .container {
    padding: 500px 0 70px;
    text-align: center;
}



/*.invite-text {*/
/*    !*font-family: "Poiret One", sans-serif;*!*/
/*    !*font-family: "Book Antiqua", sans-serif;*!*/
/*    font-family: "Cormorant Infant", sans-serif;*/

/*    font-size: 220px;*/
/*    position: relative;*/
/*    z-index: 1;*/
/*    opacity: 0;*/
/*    transform: scale(0.8);*/
/*    filter: blur(10px);*/
/*    animation: fadeInScale 1.5s ease-out forwards;*/
/*    animation-delay: 0.5s;*/


/*}*/
@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.8);
        filter: blur(10px);
    }
    to {
        opacity: 1;
        transform: scale(1);
        filter: blur(0);
    }
}
.niz .invite-text {
    top: 0;
    left: 20px;
    transform: translate(0);
    font-size: 130px;
    /*color: black;*/
    color: #b39898;
}
.niz .invite-name {
    font-size: 45px;
    left: -9px;
}
.niz-text {
font-weight: bold;
    position: absolute;
    bottom: 13px;
    left: 0;
    font-size: 20px;
}
.invite-name {
    /*font-family: "Book Antiqua", sans-serif;*/
    font-family: "Caravan", sans-serif;
    font-size: 75px;
    /*font-size: 35px;*/
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    z-index: 2;
    background: none; /* Убираем фон */
    color: white;

    /*background: rgba(255, 255, 255, 0.01); !* Полупрозрачный фон *!*/
    /*backdrop-filter: blur(10px); !* Размытие нижнего слоя *!*/
    /*-webkit-backdrop-filter: blur(10px);*/

}



.main-name {
    position: relative;
    /*padding: 50px 0;*/
    /*width: 80%;*/
}
.his-name, .her-name, .icon-name {
    font-family: "Aurora", sans-serif;
    font-size: 100px;
    /*position: absolute;*/
    color: black;

}
.his-name {
    top: -80px;
    left: 143px;
}
.nizhe {
    text-align: center;
}
.her-name {
    top: -20px;
    right: 117px;
}
.icon-name {
    font-size: 30px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.main {
    position: relative;
    /*background-color: rgba(255, 255, 255, 0.4); !* 0.3 — прозрачность, меняй для силы осветления *!*/
    overflow-x: hidden;

    color: #c69870;

}
.main .container {
    position: relative;
    /*display: flex;*/
    /*align-items: center;*/
    /*justify-content: center;*/
    /*flex-direction: column;*/
    color: black;
}
.main-title {
    margin-top: 30px;
    font-size: 50px;
    color: #722f37;
    position: relative;
    text-align: center;
    font-family: "Rubik", sans-serif;

}
.title-two {
    transform: rotate(-90deg);
    text-align: left;
    margin-top: 0;
    position: absolute;
    top: 120px;
    left: -15px;
}
.main-photo {
    width: 250px;
    border-radius: 250px;
    margin-top: 30px;
}
.img-container {
    text-align: right;
}
.img-container-two {
    text-align: center;
}
.img-container img {
    display: inline-block;
}

.main-date-of-bd {
    color: white;
    position: relative;
    font-size: 35px;
    text-align: right;
    margin-right: -30px;
    margin-top: -20px;


}
.main-date-of-bd span {
    border: 1px solid #722f37;
    padding: 10px 50px 10px 70px;
    background-color: #722f37;
    font-family: "Rubik", sans-serif;
    border-radius: 30px 0 0 0;
}
 .main-date, .location-title, .program-title,
.dresscode-title, .details-title, .presence-title {
    font-family: "Rubik", sans-serif;
    font-size: 77px;
    margin-bottom: 30px;
    text-align: center;
    color: #722f37;
}

.main-date {
    margin-top: 50px;
    margin-bottom: 0px;
}
.main-text {
    font-size: 30px;
    margin-top: 30px;
    text-align: right;
    font-weight: bold;

}
.main-text b {
    font-size: 40px;
}
.main-text span{
    font-size: 50px;
    margin-bottom: 20px;
}
.main-your {
    font-family: "Caravan", sans-serif;
    font-size: 160px;
    top: -8px;
    right: -170px;
    color: #d7cfc3;
    position: absolute;
}

.calendar {
    width: 400px;
    max-width: 100%;
    padding: 20px;
    text-align: center;
    display: inline-block;
}
.calendar-date {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    justify-content: center;
}
.calendar-date .month,
.calendar-date .year{
    font-size: 30px;
}

.days {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 0px;
    font-size: 29px;
    justify-items: center;
    justify-content: center;
}
.day {
    padding: 10px;
    width: 40px;
    height: 40px;
    position: relative;
}
.day.empty {
    background: transparent;
}
.heart {
    font-size: 46px;
    position: absolute;
    bottom: -16px;
    right: -10px;
    z-index: 55;
}
.heart svg {
    width: 80px;
    height: 80px;
}






.location {
    /*background-color: rgba(255, 255, 255, 0.4); !* 0.3 — прозрачность, меняй для силы осветления *!*/

    padding: 0 0 100px 0;
}
.location .container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.location-title {
    font-weight: normal;
    text-align: center;
}

.gallery {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    flex-direction: column;
}

.gallery p {
    text-align: center;
    font-weight: bold;
    margin-top: 20px;
}
.story-container {
    width: 360px;
    height: 640px;
    position: relative;
    overflow: hidden;
    border-radius: 12px;
    background: black;
    user-select: none;
    touch-action: pan-y;
}

/* Фото */
.story {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.story.active {
    opacity: 1;
}

/* Прогресс */
.progress-container {
    position: absolute;
    top: 10px;
    left: 10px;
    right: 10px;
    display: flex;
    gap: 6px;
    z-index: 10;
}

.progress {
    flex: 1;
    height: 3px;
    background: rgba(255,255,255,0.3);
    overflow: hidden;
    border-radius: 2px;
}

.bar {
    height: 100%;
    width: 0%;
    background: white;
}
.center-card-loc img{
    width: 300px;
    height: auto;
    margin-bottom: 20px;
}

.img1 {
    /*object-position: 0px -188px;*/
}
.img2 {
    /*object-position: 0px -208px;*/
}
.img3 {
    /*object-position: 0px -242px;*/
}
.img4 {
    /*object-position: 0px -73px;*/
}
.center-card img {
    width: 422px;
    height: 425px;
    object-fit: cover;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 2;
}

h2 {
    font-size: 24px;
    margin: 10px 0 5px;
}

p {
    font-size: 28px;
}


.location a {
    font-family: "Rubik", sans-serif;
    font-size: 23px;
    text-decoration: none;
    outline: none;
    color: white;
    background-color: #722f37;
    width: 300px;
    box-sizing: border-box;
    border: 1px solid black;
    border-radius: 30px 0 30px 0;
    padding: 20px;
    display: inline-block;
    cursor: pointer;
    margin-top: 30px;
    text-align: center;
}
.location a:hover {
    color: #262626;
    background-color: white;

}


.items-svg {
    position: absolute;
    bottom: -16px;
    left: 103px;
}
.item-month {
    font-family: "Caravan",sans-serif;
    position: absolute;
    font-size: 60px;
    bottom: -45px;
    left: 110px;
    rotate: -20deg;
}
.items-svg svg{
   width: 90px;
    height: 90px;
}
.program {
    /*background-color: rgba(255, 255, 255, 0.4); !* 0.3 — прозрачность, меняй для силы осветления *!*/

    padding-top: 50px;
    padding-bottom: 100px;
    overflow: hidden;
}

.program-title {
    position: relative;
    text-align: center;

}
.program-day {
    font-family: "Caravan", sans-serif;
    font-size: 160px;
    top: 24px;
    right: 291px;
    color: #d7cfc3;
    position: absolute;
    z-index: -1;
}
.time-info {
    display: flex;
    flex-direction: column;

}
.timeline {
    display: flex;
    flex-direction: column;
    align-items: center;
}


/*.center-card::before {*/
/*    content: "";*/
/*    position: absolute;*/
/*    top: 0;*/
/*    left: 10px;*/
/*    width: 100%;*/
/*    height: 100%;*/

/*    background-color: #13438f;*/
/*    border-radius: 10px;*/
/*    z-index: 1;*/
/*    transform: rotate(5deg);*/
/*    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);*/
/*}*/

.time-info a {
    text-decoration: none;
    outline: none;
    color: #595959;
    display: inline-block;
    cursor: pointer;
}
.time-info a:hover {
    color: #d4cfcc;
    display: inline-block;
    cursor: pointer;

}
.event {
    width: 76%;
    display: flex;
    flex-direction: column;
    margin-bottom: 40px;
    font-weight: bold;


}
.event:nth-child(odd) {
    align-self: flex-start; /* Выравниваем элементы в нечетных событиях слева */
}

.event:nth-child(even) {
    align-self: flex-end; /* Выравниваем элементы в четных событиях справа */
}
.icon {
    display: flex;
    justify-content: center;
}

.time-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    text-align: left;

}

.description {
    font-size: 18px;

}
.description span {
    font-size: 20px;
    text-transform: uppercase;
}

.program-des {
    font-size: 20px;
}

.time-info .text {
    font-size: 16px;
}



.icon.second svg, .icon.three svg, .icon.four svg, .icon.first svg  {
    width: 50px;
    height: 50px;
}
.dresscode-block {
    margin-bottom: 50px;
    overflow: hidden;
}
.dresscode-info-text {
    text-align: center;
    margin-bottom: 30px;
}
.woman-dress span {
    margin-top: 30px;
}
.man-dress span {
    margin-top: 30px;
    margin-bottom: 30px;
}
.woman-dress span, .man-dress span{
    display: flex;
    align-items: flex-start;
}
.dresscode-block-info-blocks {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0px;
    flex-wrap: wrap;
    margin-bottom: 50px;

}
.dresscode-block-info-blocks > * {
    margin: -10px; /* Используем отрицательные маргины для элементов */
}
.dresscode-block-strelka {
    width: 100%;
    overflow: hidden;
    position: relative;
}
.strelka-text {
    text-align: left;
    font-size: 16px;
    margin-bottom: 30px;

}
.strelka-text svg {
    width: 80px;
    height: 30px;
    margin-left: -10px;
    margin-top: -10px;
}
.strelka-images {
    display: flex;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    scrollbar-width: none;
    -ms-overflow-style: none;
    gap: 20px;
    max-width: 100%;
    white-space: nowrap;

}
.strelka-images img {
    flex-shrink: 0;
    min-width: 250px;
    height: 400px;
    object-fit: cover;
}
.strelka-images::-webkit-scrollbar {
    display: none; /* Для скрытия полосы прокрутки в Webkit-браузерах */
}
.dresscode-block-info-block {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border: 1px solid lightgrey;

}
.man-dress {
    margin-top: 30px;
}

.dresscode-block-info-block.two {
    background-color: #eec3b3;
}

.dresscode-block-info-block.three {
    background-color: #facfbe;
}

.dresscode-block-info-block.four {
    background-color: #fcd9d3;
}

.dresscode-block-info-block.five {
    background-color: #feddcc;
}

.dresscode-block-info-block.six {
    background-color: #fff1e8;
}
.dresscode-block-info-block.seven {
    background-color: #dccbb9;
}
.dresscode-block-info-block.eight {
    background-color: white;
}
.dresscode-block-info-block.nine {
    background-color: black;
}

.dresscode {
    padding-bottom: 50px;
    position: relative;
}
.wishes {
    padding-top: 90px;
    padding-bottom: 50px;
}
.dresscode-wed {
    position: absolute;
    /*top: 40%;*/
    /*left: -30%;*/
    top: 52%;
    left: 67px;
    rotate: 270deg;
    font-family: "Book Antiqua", sans-serif;
    text-transform: uppercase;
    font-size: 85px;
    color: white;
}
.dresscode-info {
    text-align: center;
    font-size: 30px;
}
.dresscode-info-blocks {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-top: 20px;
    margin-bottom: 30px;
}

.dresscode-info-block {
    width: 80px;
    height: 80px;
    border-radius: 50%;
}

.dresscode-info-block.one {
    background-color: #dcd4bf;
}
.dresscode-info-block.two {
    background-color: #cdb89d;

}
.dresscode-info-block.three {
    background-color: #977961;

}
.dresscode-info-block.four {
    background-color: #334127;

}
.dresscode-info-block.five {
    background-color: #000000;

}
.dresscode-info-block.six {
    background-color: #c3ab87;
}
.dresscode-info-block.seven {
    background-color: #7c685d;
}
.dresscode-info-block.eight {
    background-color: #d6d6d6;
}
.dresscode-info-block.nine {
    background-color: #53544f;
}
.dresscode-info-block.ten {
    background-color: #000000;
}


.details {
    padding-bottom: 50px;
    /*background-color: rgba(255, 255, 255, 0.4); !* 0.3 — прозрачность, меняй для силы осветления *!*/

}
.details-text-one {
    font-weight: bold;
}
/*.contact-info {*/
/*    display: flex;*/
/*    align-items: center;*/
/*    gap: 15px;*/
/*    margin-bottom: 20px;*/
/*}*/

.photo-wrapper {
    width: 75px;
    height: 75px;
    border-radius: 50%;
    overflow: hidden;
    margin: 0 auto;
    border: 2px solid #ccc;

}
.contact-photo {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: scale(2);
    object-position: -45px 9px;
}
.contact-photo.yana {
    transform: scale(1.3);
    object-position: 0px -30px;
}
.contact-photo.artur {
    transform: scale(1.5);
    object-position: -4px 1px;
}


/*.contact-details {*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*}*/

.heshteg {
    font-weight: bold;
}
.chat {
    text-decoration: none;
    color: #000;
    padding: 5px 10px 10px 10px;
    border: 1px solid black;
    border-radius: 10px
}
.details-text.shtarf  {
    text-align: left;
}
.details-title {
    position: relative;
    text-align: center;
}
.details-text {
    margin-bottom: 30px;
}
.details-text, .details-tg {
    text-align: center;
    font-size: 30px;
    font-weight: normal;
}
.details-text a{
    display: inline-block;
    text-decoration: none;
    color: black;
    font-weight: bold;
    font-size: 20px;
}
.details-tg a{
    margin-top: 30px;
    display: inline-block;
    text-decoration: none;
    color: black;
    border: 1px solid black;
    padding: 5px 5px 10px 5px;
    font-weight: bold;
}
.details-tg a:hover {
    color: black;
    background-color: #9a9999;
    border: 1px solid black;
}
.presence {
    /*background-color: rgba(255, 255, 255, 0.4); !* 0.3 — прозрачность, меняй для силы осветления *!*/

}

.presence-title {
    position: relative;
}



.presence-text {
    text-align: center;
    font-size: 30px;
    margin-bottom: 30px;
    font-weight: bold;
}
.des {
    font-size: 18px;
}

.wedding-form {
    max-width: 700px;
    margin: 0 auto;
    padding: 20px;
    font-size: 30px;
    text-align: left;
    font-family: "Cormorant Infant", sans-serif;

    fieldset {
        border: none;
        margin-bottom: 15px;
    }

    legend {
        font-weight: bold;
        margin-bottom: 5px;
    }

    label {
        display: block;
        margin: 5px 0;
    }

    input[type="text"],
    textarea {
        width: 97%;
        padding: 8px;

        border: 1px solid black;
        border-radius: 5px;
        font-size: 16px;
    }
    .wedding-form input[type="radio"],
    .wedding-form input[type="checkbox"],
    textarea {
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
    }

    textarea {
        min-height: 100px;
    }

    button {
        -webkit-appearance: none; /* Убирает дефолтные стили в Safari */
        -moz-appearance: none; /* Для Firefox */
        appearance: none; /* Общий сброс */
        width: 100%;
        padding: 10px;
        color: black;
        background-color: white;
        border: 1px solid black;

        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;

        &:hover {
            background: #262626;
        }
    }
}
@supports (-webkit-appearance: none) {
    .wedding-form {
        max-width: 700px;
        margin: 0 auto;
        padding: 20px;
        font-size: 30px;
        font-family: "Cormorant Infant", sans-serif;
    }

    fieldset {
        border: none !important;
        padding: 0;
    }

    legend {
        font-weight: bold;
        margin-bottom: 5px;
    }

    label {
        display: block;
        margin: 5px 0;
    }

    input[type="text"],
    textarea {
        width: 97%;
        padding: 8px;
        border: 1px solid #5c5c5c;
        border-radius: 5px;
        font-size: 16px;
    }

    textarea {
        min-height: 100px;
    }

    button {
        width: 100%;
        padding: 10px;
        background: #5c5c5c;
        color: #f8efea;
        border: none;
        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;

        &:hover {
            background: #262626;
        }
    }
}


    .timout {
        padding: 0 0 100px 0;
        /*display: flex;*/
        /*align-items: center;*/
        /*justify-content: center;*/
        /*flex-direction: column;*/
        overflow: hidden;
    }

    .timout-title {
        white-space: nowrap;
        top: 110px;
        left: -75px;
    }
    .timout-footer {
        white-space: nowrap;
        top: -400px;
        right: -300px;
        rotate: 0deg;
    }

    #countdown, #countdown2 {
        display: flex;
        justify-content: center;
        gap: 5px;
        margin-left: 65px;
        margin-top: 10px;
    }

    .time-box {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        color: #722f37;
        padding: 15px;
        text-align: center;
        border: 1px solid #722f37;
        border-radius: 50%;
        width: 40px; /* Фиксированная ширина */
        height: 40px;

    }

    .time-box span {
        font-size: 20px;
        font-weight: bold;
        line-height: 1;
    }

    .time-box p {
        margin: 5px 0 0;
        font-size: 14px;
        text-transform: uppercase;
        opacity: 0.8;
        font-weight: bold;
    }



